List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.TenantAuthConfig.List(ctx, operations.C1APIAuthConfigV1TenantAuthConfigServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.TenantAuthConfigServiceListResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tenantAuthConfig.list();
console.log(result);
}
run();curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/auth-configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/auth-configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/auth-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"bootstrapDomains": [
"<string>"
],
"c1Local": {
"delegatedVerifiers": []
},
"createdAt": "2023-11-07T05:31:56Z",
"deprecationDeadline": "2023-11-07T05:31:56Z",
"deprecationMessage": "<string>",
"displayName": "<string>",
"google": {
"hostedDomains": [
"<string>"
]
},
"id": "<string>",
"isDefaultBootstrap": true,
"jumpcloud": {
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"microsoft": {
"tenantIds": [
"<string>"
]
},
"oidc": {
"exactMatchClaims": {},
"issuerId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>",
"scopes": [
"<string>"
]
},
"okta": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"onelogin": {
"domain": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"pingone": {
"environmentId": "<string>",
"oidcClientId": "<string>",
"oidcClientSecret": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"nextPageToken": "<string>"
}Auth Config
List
List returns all authentication provider configurations for the tenant.
GET
/
api
/
v1
/
auth-configs
List
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.TenantAuthConfig.List(ctx, operations.C1APIAuthConfigV1TenantAuthConfigServiceListRequest{})
if err != nil {
log.Fatal(err)
}
if res.TenantAuthConfigServiceListResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.tenantAuthConfig.list();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Query Parameters
The maximum number of results to return per page.
A pagination token returned from a previous List call.
Response
200 - application/json
Successful response
Was this page helpful?
⌘I